javax.transaction

## Interface Transaction

    public interface Transaction

Version:
  $Rev: 467742 $ $Date: 2006-10-25 21:30:38 +0200 (Mi, 25. Okt 2006) $

### Method Summary

Methods
`void` `commit()`
`boolean` `delistResource(XAResource xaRes, int flag)`
`boolean` `enlistResource(XAResource xaRes)`
`int` `getStatus()`
`void` `registerSynchronization(Synchronization synch)`
`void` `rollback()`
`void` `setRollbackOnly()`

### Method Detail

#### commit

    void commit()
                throws HeuristicMixedException,
                       HeuristicRollbackException,
                       RollbackException,
                       SecurityException,
                       SystemException

Throws:
  `HeuristicMixedException`
  `HeuristicRollbackException`
  `RollbackException`
  `SecurityException`
  `SystemException`

#### delistResource

    boolean delistResource(XAResource xaRes,
                         int flag)
                           throws IllegalStateException,
                                  SystemException

Throws:
  `IllegalStateException`
  `SystemException`

#### enlistResource

    boolean enlistResource(XAResource xaRes)
                           throws IllegalStateException,
                                  RollbackException,
                                  SystemException

Throws:
  `IllegalStateException`
  `RollbackException`
  `SystemException`

#### getStatus

    int getStatus()
                  throws SystemException

Throws:
  `SystemException`

#### registerSynchronization

    void registerSynchronization(Synchronization synch)
                                 throws IllegalStateException,
                                        RollbackException,
                                        SystemException

Throws:
  `IllegalStateException`
  `RollbackException`
  `SystemException`

#### rollback

    void rollback()
                  throws IllegalStateException,
                         SystemException

Throws:
  `IllegalStateException`
  `SystemException`

#### setRollbackOnly

    void setRollbackOnly()
                         throws IllegalStateException,
                                SystemException

Throws:
  `IllegalStateException`
  `SystemException`